import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ApiService } from '../service/api.service';
import { Employee } from '../model/model';

@Component({
  selector: 'app-registration',
  templateUrl: './registration.component.html',
  styleUrls: ['./registration.component.css']
})
export class RegistrationComponent implements OnInit {

  registrationForm: FormGroup;
  employeeInfo: Employee;

  constructor(
    private fb: FormBuilder,
    private apiService: ApiService
  ) {
    this.registrationForm = this.fb.group({
      name: '',
      designation: ''
    })
  }

  ngOnInit() {
  }

  register() {
    this.apiService.register({
      name: this.registrationForm.get('name').value,
      designation: this.registrationForm.get('designation').value
    }).subscribe(response => {
      console.log('response is', response);
    })
  }

}
